> ## Documentation Index
> Fetch the complete documentation index at: https://backstage.spotify.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get check entities

> Get a paginated list of entities applicable to a check, each annotated with its check result state. Optionally scoped to a track, and filtered by result state and/or an entity filter.




## OpenAPI

````yaml /plugins/soundcheck/openapi.yaml post /checks/entities
openapi: 3.0.0
info:
  title: soundcheck
  version: 0.1.0
  description: API for interacting with Soundcheck.
servers:
  - url: https://backstage.example.com/api/soundcheck
security: []
tags:
  - name: Campaigns
  - name: Certification
  - name: CheckResults
  - name: Checks
  - name: FactCollectors
  - name: Facts
  - name: Tracks
paths:
  /checks/entities:
    post:
      tags:
        - Checks
      summary: Get check entities
      description: >
        Get a paginated list of entities applicable to a check, each annotated
        with its check result state. Optionally scoped to a track, and filtered
        by result state and/or an entity filter.
      operationId: getCheckEntities
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckEntitiesRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckEntitiesResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: No permission to read checks
          content:
            text/plain:
              schema:
                type: string
        '404':
          description: Check or track not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CheckEntitiesRequest:
      type: object
      properties:
        checkId:
          type: string
          minLength: 1
          pattern: ^[a-zA-Z0-9._-]+$
        trackId:
          type: string
          description: Scopes applicability and filters to this track.
        states:
          type: array
          items:
            $ref: '#/components/schemas/CheckResultState'
        entityFilter:
          $ref: '#/components/schemas/EntityFilter'
        limit:
          type: integer
          description: Maximum number of entities to return. Defaults to 100, max 5000.
          default: 100
          minimum: 1
          maximum: 5000
        offset:
          type: integer
          description: Number of entities to skip. Defaults to 0.
          default: 0
          minimum: 0
      required:
        - checkId
      additionalProperties: false
    CheckEntitiesResponse:
      type: object
      properties:
        totalCount:
          type: integer
        pageInfo:
          $ref: '#/components/schemas/PageInfo'
        edges:
          type: array
          items:
            $ref: '#/components/schemas/CheckEntityEdge'
      required:
        - totalCount
        - pageInfo
        - edges
      additionalProperties: false
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
            message:
              type: string
          required:
            - name
            - message
          additionalProperties: true
        request:
          type: object
          properties:
            method:
              type: string
            url:
              type: string
          required:
            - method
            - url
          additionalProperties: false
        response:
          type: object
          properties:
            statusCode:
              type: integer
          required:
            - statusCode
          additionalProperties: false
      required:
        - error
        - response
      additionalProperties: false
    CheckResultState:
      type: string
      enum:
        - passed
        - failed
        - warning
        - not-applicable
        - not-reported
        - exempt
        - error
    EntityFilter:
      oneOf:
        - type: object
          additionalProperties:
            oneOf:
              - type: string
              - type: array
                items:
                  type: string
        - type: array
          items:
            type: object
            additionalProperties:
              oneOf:
                - type: string
                - type: array
                  items:
                    type: string
    PageInfo:
      type: object
      properties:
        hasNextPage:
          type: boolean
        hasPreviousPage:
          type: boolean
        startCursor:
          type: string
        endCursor:
          type: string
      required:
        - hasNextPage
        - hasPreviousPage
      additionalProperties: false
    CheckEntityEdge:
      type: object
      properties:
        node:
          $ref: '#/components/schemas/CheckEntityNode'
      required:
        - node
      additionalProperties: false
    CheckEntityNode:
      type: object
      properties:
        entityRef:
          type: string
        state:
          $ref: '#/components/schemas/CheckResultState'
        hasError:
          type: boolean
        details:
          type: object
          additionalProperties: true
      required:
        - entityRef
        - state
        - hasError
      additionalProperties: false

````